%global namedreltag  -groovy-2.0
%global namedversion %{version}%{?namedreltag}
%global nameddottag  %(echo %{?namedreltag} | tr - . )
Name:          spock
Version:       0.7
Release:       0.14%{?nameddottag}%{?dist}
Summary:       A testing and specification framework
License:       ASL 2.0
URL:           https://github.com/spockframework/spock
Source0:       https://github.com/spockframework/spock/archive/%{name}-%{namedversion}.tar.gz
Patch0:        0001-Build-with-Gradle-local-mode.patch

BuildRequires: gradle-local
BuildRequires: apache-parent

BuildRequires: ant
BuildRequires: antlr
BuildRequires: aopalliance
BuildRequires: apache-commons-cli
BuildRequires: cglib
BuildRequires: google-guice
BuildRequires: groovy >= 2.0
BuildRequires: hamcrest
BuildRequires: junit
BuildRequires: objenesis
BuildRequires: objectweb-asm
BuildRequires: /usr/bin/perl

Requires:      java
BuildArch:     noarch

Obsoletes:     %{name}-javadoc < 0.7-0.5

%description
Spock is a testing and specification framework for Java and
Groovy applications.

%package core
Summary:       Spock Framework - Core Module

%description core
Spock Framework - Core Module.

%package guice
Summary:       Spock Framework - Guice Module

%description guice
Spock Framework - Guice Module provides support for
testing Guice 2/3 based applications.

%prep
%setup -q -n %{name}-%{name}-%{namedversion}
%patch0 -p1
find . -name "*.class" -delete
find . -name "*.jar" -delete

# Enable local mode
perl -p -e "s/mavenCentral/xmvn()\n    mavenCentral/" build.gradle > build.gradle.temp
mv build.gradle.temp build.gradle

sed -i "s|sourceCompatibility = 1.5|sourceCompatibility = 1.6|" build.gradle

# We don't need these modules.
rm -rf spock-maven spock-specs spock-spring spock-tapestry spock-unitils
%mvn_package ":spock-{maven,specs,spring,tapestry,unitils}" __noinstall

%build

# install task used for generate pom files
%gradle_build -s -- -x javadoc

%install
%mvn_install

%files core -f .mfiles-spock-core
%license LICENSE NOTICE

%files guice -f .mfiles-spock-guice

%changelog
* Thu Jul 21 2016 gil cattaneo <puntogil@libero.it> 0.7-0.14.groovy.2.0
- add missing BR

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-0.13.groovy.2.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan  5 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.7-0.12.groovy.2.0
- Remove workaround for rhbz#1290399

* Thu Dec 10 2015 gil cattaneo <puntogil@libero.it> 0.7-0.11.groovy.2.0
- Enable local mode

* Wed Oct 28 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.7-0.10.groovy.2.0
- Build with %%gradle_build

* Tue Jun 16 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.7-0.9.groovy.2.0
- Use gradle-local script for building

* Fri Mar 13 2015 gil cattaneo <puntogil@libero.it> 0.7-0.8.groovy.2.0
- fix Url tag

* Wed Feb 11 2015 gil cattaneo <puntogil@libero.it> 0.7-0.7.groovy.2.0
- introduce license macro

* Thu Jan 15 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.7-0.6.groovy.2.0
- Rebuild to fix Maven auto-requires

* Tue Nov 18 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.7-0.5.groovy.2.0
- Build with groovy 2.x
- Remove javadoc package

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-0.4.groovy.1.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Nov 14 2013 gil cattaneo <puntogil@libero.it> 0.7-0.3.groovy.1.8
- use objectweb-asm3

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-0.2.groovy.1.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat May 04 2013 gil cattaneo <puntogil@libero.it> 0.7-0.1.groovy.1.8
- update to 0.7-groovy-1.8

* Tue Feb 19 2013 gil cattaneo <puntogil@libero.it> 0.6-0.5.groovy.1.8
- fixed google-guice in ant build script

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-0.4.groovy.1.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Aug 29 2012 gil cattaneo <puntogil@libero.it> 0.6-0.3.groovy.1.8
- fixed guice depmap

* Thu Aug 02 2012 gil cattaneo <puntogil@libero.it> 0.6-0.2.groovy.1.8
- Removed nonexisting requires

* Wed Aug 01 2012 gil cattaneo <puntogil@libero.it> 0.6-0.1.groovy.1.8
- initial rpm
